#ifndef SENSOR_H
	#define SENSOR_H
#endif

#include "UltrasonicSensor.h"
#include "MotorDriver.h"
//#include <list>

//using namespace std;
//class Sensor;

class Robot {
private:
	int mainDelay;
	int turnDelay; 
	int stopDelay; 
	float minDistance;
	float currentDistance;
	//list<*Sensor> sensors;
	UltrasonicSensor *sensor;
	MotorDriver *motorDriver;

	//void addSensor(Sensor s);
	void setMotorDriver(MotorDriver *md);
	void setSensor(UltrasonicSensor *s);
	void setMinDistance(float d);
	//float getDistance();
public:
	Robot();
	~Robot();

	void build();
	void setDelays(int main, int turn, int stop);

	bool mustTurn();
	float getCurrDistance();

	void moveForward();
	void moveBackward();
	void turnLeft();
	void turnRight();
	void stop();
};