#include "Arduino.h"
//#include "Sensor.h"
#include "UltrasonicSensor.h"
#include <Ultrasonic.h>
#ifndef SENSOR_H
	#define SENSOR_H
#endif
//#ifndef ULTRASONICSENSOR_H
//	#define ULTRASONICSENSOR_H
//#endif
//#ifndef ULTRASONIC_H
//	#define ULTRASONIC_H
//#endif

UltrasonicSensor::UltrasonicSensor(int pinTrigger, int pinEcho) {
	_pinTrigger = pinTrigger;
	_pinEcho = pinEcho;
	_ultrasonic = new Ultrasonic(pinTrigger, pinEcho);  
}

float UltrasonicSensor::getDistance() {
	long ms = _ultrasonic->timing();
	float cm = _ultrasonic->convert(ms, Ultrasonic::CM);
	return cm;
}