#include <Ultrasonic.h>
#include "Robot.h"
//#include "UltrasonicSensor.h"
//#include "Motor.h"
//#include "MotorDriver.h"

Robot *bot = new Robot();

void setup() {
	Serial.begin(9600);

	bot->setDelays(250, 750, 1000);
	bot->build();
}

void loop() { 
	while (bot->mustTurn())
	{
		printDist(bot->getCurrDistance());
		//bot->moveBackward();
		bot->stop();
		bot->turnLeft();
	}

	printDist(bot->getCurrDistance());
	bot->moveForward();
}

void printDist(float d) {
	Serial.print("dist: ");
	Serial.print(d); 
	Serial.println(" cm");
}